Loading...
Searching...
No Matches
itk::ANNkDTree< TListSample > Class Template Reference
Common » ANNwrap

`#include <itkANNkDTree.h>`

## Detailed Description

template<class TListSample>
class itk::ANNkDTree< TListSample >

Definition at line 36 of file itkANNkDTree.h.

Inheritance diagram for itk::ANNkDTree< TListSample >:
[legend]

## Public Types

using | ANNkDTreeType = ANNkd_tree
using | ANNPointSetType = ANNpointSet
using | BucketSizeType = unsigned int
using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = ANNkDTree
using | SplittingRuleType = ANNsplitRule
using | Superclass = BinaryANNTreeBase<TListSample>
Public Types inherited from itk::BinaryANNTreeBase< TListSample >
using | ANNPointSetType = ANNpointSet
using | ConstPointer = SmartPointer<const Self>
using | MeasurementVectorSizeType
using | MeasurementVectorType
using | Pointer = SmartPointer<Self>
using | SampleType
using | Self = BinaryANNTreeBase
using | Superclass = BinaryTreeBase<TListSample>
using | TotalAbsoluteFrequencyType
Public Types inherited from itk::BinaryTreeBase< TListSample >
using | ConstPointer = SmartPointer<const Self>
using | MeasurementVectorSizeType = typename SampleType::MeasurementVectorSizeType
using | MeasurementVectorType = typename SampleType::MeasurementVectorType
using | Pointer = SmartPointer<Self>
using | SampleType = TListSample
using | Self = BinaryTreeBase
using | Superclass = DataObject
using | TotalAbsoluteFrequencyType = typename SampleType::TotalAbsoluteFrequencyType

## Public Member Functions

void | GenerateTree () override
ANNPointSetType * | GetANNTree () const override
virtual BucketSizeType | GetBucketSize () const
virtual const char * | GetClassName () const
std::string | GetSplittingRule ()
virtual SplittingRuleType | GetSplittingRule () const
| ITK_DISALLOW_COPY_AND_MOVE (ANNkDTree)
virtual void | SetBucketSize (BucketSizeType _arg)
void | SetSplittingRule (const std::string &rule)
virtual void | SetSplittingRule (SplittingRuleType _arg)
Public Member Functions inherited from itk::BinaryANNTreeBase< TListSample >
| ITK_DISALLOW_COPY_AND_MOVE (BinaryANNTreeBase)
Public Member Functions inherited from itk::BinaryTreeBase< TListSample >
TotalAbsoluteFrequencyType | GetActualNumberOfDataPoints () const
MeasurementVectorSizeType | GetDataDimension () const
TotalAbsoluteFrequencyType | GetNumberOfDataPoints () const
virtual const SampleType * | GetSample ()
| ITK_DISALLOW_COPY_AND_MOVE (BinaryTreeBase)
virtual void | SetSample (SampleType *_arg)

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

| ANNkDTree ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~ANNkDTree () override
Protected Member Functions inherited from itk::BinaryANNTreeBase< TListSample >
| BinaryANNTreeBase ()=default
| ~BinaryANNTreeBase () override=default
Protected Member Functions inherited from itk::BinaryTreeBase< TListSample >
| BinaryTreeBase ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~BinaryTreeBase () override=default

## Protected Attributes

ANNkDTreeType * | m_ANNTree {}
BucketSizeType | m_BucketSize {}
SplittingRuleType | m_SplittingRule {}

## Member Typedef Documentation

## ANNkDTreeType

template<class TListSample>

using itk::ANNkDTree< TListSample >::ANNkDTreeType = ANNkd_tree

Definition at line 61 of file itkANNkDTree.h.

## ANNPointSetType

template<class TListSample>

using itk::ANNkDTree< TListSample >::ANNPointSetType = ANNpointSet

Typedef's.

Definition at line 60 of file itkANNkDTree.h.

## BucketSizeType

template<class TListSample>

using itk::ANNkDTree< TListSample >::BucketSizeType = unsigned int

Definition at line 63 of file itkANNkDTree.h.

## ConstPointer

template<class TListSample>

using itk::ANNkDTree< TListSample >::ConstPointer = SmartPointer<const Self>

Definition at line 45 of file itkANNkDTree.h.

## Pointer

template<class TListSample>

using itk::ANNkDTree< TListSample >::Pointer = SmartPointer<Self>

Definition at line 44 of file itkANNkDTree.h.

## Self

template<class TListSample>

using itk::ANNkDTree< TListSample >::Self = ANNkDTree

Standard itk.

Definition at line 42 of file itkANNkDTree.h.

## SplittingRuleType

template<class TListSample>

using itk::ANNkDTree< TListSample >::SplittingRuleType = ANNsplitRule

Definition at line 62 of file itkANNkDTree.h.

## Superclass

template<class TListSample>

using itk::ANNkDTree< TListSample >::Superclass = BinaryANNTreeBase<TListSample>

Definition at line 43 of file itkANNkDTree.h.

## Constructor & Destructor Documentation

## ANNkDTree()

template<class TListSample>

itk::ANNkDTree< TListSample >::ANNkDTree | ( |  | ) |

protected

Constructor.

## ~ANNkDTree()

template<class TListSample>

itk::ANNkDTree< TListSample >::~ANNkDTree | ( |  | ) |

override protected

Destructor.

## Member Function Documentation

## GenerateTree()

template<class TListSample>

void itk::ANNkDTree< TListSample >::GenerateTree | ( |  | ) |

override virtual

Set the maximum number of points that are to be visited. Generate the tree.

Implements itk::BinaryTreeBase< TListSample >.

## GetANNTree()

template<class TListSample>

ANNPointSetType * itk::ANNkDTree< TListSample >::GetANNTree | ( |  | ) | const

inline override virtual

Get the ANN tree.

Implements itk::BinaryANNTreeBase< TListSample >.

Definition at line 90 of file itkANNkDTree.h.

## GetBucketSize()

template<class TListSample>

virtual BucketSizeType itk::ANNkDTree< TListSample >::GetBucketSize | ( |  | ) | const

virtual

## GetClassName()

template<class TListSample>

virtual const char * itk::ANNkDTree< TListSample >::GetClassName | ( |  | ) | const

virtual

ITK type info.

Reimplemented from itk::BinaryANNTreeBase< TListSample >.

Reimplemented in itk::ANNbdTree< TListSample >, and itk::ANNbdTree< ListSampleType >.

## GetSplittingRule() [1/2]

template<class TListSample>

std::string itk::ANNkDTree< TListSample >::GetSplittingRule | ( |  | ) |

## GetSplittingRule() [2/2]

template<class TListSample>

virtual SplittingRuleType itk::ANNkDTree< TListSample >::GetSplittingRule | ( |  | ) | const

virtual

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TListSample>

itk::ANNkDTree< TListSample >::ITK_DISALLOW_COPY_AND_MOVE | ( | ANNkDTree< TListSample > |  | ) |

## New()

template<class TListSample>

Pointer itk::ANNkDTree< TListSample >::New | ( |  | ) |

static

New method for creating an object using a factory.

## PrintSelf()

template<class TListSample>

void itk::ANNkDTree< TListSample >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

PrintSelf.

## SetBucketSize()

template<class TListSample>

virtual void itk::ANNkDTree< TListSample >::SetBucketSize | ( | BucketSizeType | _arg | ) |

virtual

Set and get the bucket size: the number of points in a region/bucket.

## SetSplittingRule() [1/2]

template<class TListSample>

void itk::ANNkDTree< TListSample >::SetSplittingRule | ( | const std::string & | rule | ) |

## SetSplittingRule() [2/2]

template<class TListSample>

virtual void itk::ANNkDTree< TListSample >::SetSplittingRule | ( | SplittingRuleType | _arg | ) |

virtual

Set and get the splitting rule: it defines how the space is divided.

## Field Documentation

## m_ANNTree

template<class TListSample>

ANNkDTreeType* itk::ANNkDTree< TListSample >::m_ANNTree {}

protected

Member variables.

Definition at line 108 of file itkANNkDTree.h.

## m_BucketSize

template<class TListSample>

BucketSizeType itk::ANNkDTree< TListSample >::m_BucketSize {}

protected

Definition at line 110 of file itkANNkDTree.h.

## m_SplittingRule

template<class TListSample>

SplittingRuleType itk::ANNkDTree< TListSample >::m_SplittingRule {}

protected

Definition at line 109 of file itkANNkDTree.h.

Generated on 1768596610 for elastix by 1.15.0 |